Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.momogood.com/llms.txt

Use this file to discover all available pages before exploring further.

Note: the following settings cannot be modified via the API:
  • API Confirmation Resend Block Timeout
  • Resubscribers

FAQs

What are the limitations for a keyword?
  • A keyword must contain at least two characters and no more than 15 characters.
  • Keywords are not case sensitive. FOO will match foo, FOO, and Foo.
  • You can’t use obscene words. We’re not going to spell them out here.
Are keywords case sensitive?
  • No. The system checks for duplicate keywords by transforming all keywords to uppercase before performing matching algorithms.
What happens if the keyword isn’t available?
  • The response from the API will be a 422 error with the response body looking like this:
{"status":"error","error":"invalid keyword names: EXISTINGKW"}
Can I check if a keyword is available?
  • Yes. By utilizing this endpoint. The response will either be:
{"status":"OK","keyword_name":"available"}
or
{"status":"OK","keyword_name":"unavailable","error":"Name is in use"}
Can I add multiple keywords to a list?
  • Yes. The keyword_names parameter would need to be an array, like this:
{"keyword_names":["TEST","KEYWORD","NAMES"]}
What is a REPLY Response?
  • REPLY Response is the response sent to the subscriber if they respond to the message with the word REPLY.

Request URL

POST https://app.tatango.com/api/v2/lists/